View Issue Details

IDProjectCategoryView StatusLast Update
0000144FreeCADFeaturepublic2012-06-09 12:01
ReporternormandcAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000144: Add several tools to Part module
Descriptionin the Part module : add sweep and loft graphical tools, add chamfer tool
TagsNo tags attached.

Relationships

related to 0000395 closedwmayer Make a user interface for pipe, pipe shell and loft functions 
child of 0000277 closedJriegel Further Development in PartDesign 

Activities

Jriegel

2010-09-01 07:29

administrator   ~0000313

This goes directly into PartDesign.
Part sould be a place for the rather low level things about
the CAD data structure. The higher level methodes should be located
in PartDesign (for Solid stuff) and ShapeDesign (for open survaces).

But never the less - needed tools!

normandc

2011-01-13 22:31

manager   ~0000516

I see that r3879 now has chamfer tool (probably added a long time ago), so this feature request is 1/3 completed. :-P

Maybe we should make separate entries, one each for loft, sweep and chamfer so we could close the chamfer one?

wmayer

2011-10-15 11:34

administrator   ~0001159

2/3 completed. r5028 adds a loft utility.

wmayer

2012-03-02 08:42

administrator   ~0001699

See also:
http://forum.freecadweb.org/viewtopic.php?f=8&t=2315

wmayer

2012-03-02 08:44

administrator   ~0001700

Taken from 0000395: Make a user interface for pipe, pipe shell and loft functions

kwahooo

2012-05-24 15:30

reporter   ~0002081

Last edited: 2012-05-24 15:35

We discussed variable section sweep http://forum.freecadweb.org/viewtopic.php?f=10&t=2573&start=10

makePipeShell is able to handle many different sections and sweep them along path. Graphics tool implementation would look similar to Part Loft tool.

wmayer

2012-06-09 09:51

administrator   ~0002165

git 245cae0 adds a sweep utility which internally uses the makePipeShell function

wmayer

2012-06-09 12:01

administrator   ~0002166

git show 2a7e6f3

Issue History

Date Modified Username Field Change
2010-08-27 15:00 wmayer New Issue
2010-08-27 15:00 wmayer Reporter wmayer => normandc
2010-09-01 07:29 Jriegel Note Added: 0000313
2010-09-01 07:30 Jriegel Status new => assigned
2010-09-01 07:30 Jriegel Assigned To => Jriegel
2011-01-13 22:31 normandc Note Added: 0000516
2011-02-22 12:03 Jriegel Relationship added child of 0000277
2011-10-15 11:34 wmayer Note Added: 0001159
2012-03-02 08:42 wmayer Note Added: 0001699
2012-03-02 08:43 wmayer Relationship added related to 0000395
2012-03-02 08:44 wmayer Note Added: 0001700
2012-05-24 15:30 kwahooo Note Added: 0002081
2012-05-24 15:35 kwahooo Note Edited: 0002081
2012-06-09 09:51 wmayer Note Added: 0002165
2012-06-09 12:01 wmayer Note Added: 0002166
2012-06-09 12:01 wmayer Status assigned => closed
2012-06-09 12:01 wmayer Resolution open => fixed
2012-06-09 12:01 wmayer Fixed in Version => 0.13